Usage Summary API

GET Usage Summary API

/api/v1/account/usage-summary

Retrieve a monthly billing and usage summary for the authenticated user.

This endpoint does not require any parameters. It uses the Bearer token to identify the user.


Example Request

cURL
curl -X GET https://rsflowhub.com/api/v1/account/usage-summary \
  -H "Authorization: Bearer YOUR_API_KEY"

Example Response

JSON Response
{
  "success": true,
  "data": {
    "billing_mode": "credits",
    "credits_remaining": 700,
    "period": {
      "starts_at": "2026-05-01T00:00:00.000000Z",
      "ends_at": "2026-05-31T23:59:59.000000Z"
    },
    "totals": {
      "requests_count": 50,
      "credits_used": 120,
      "internal_cost": 0.05,
      "cache_hits": 5
    },
    "endpoints": [
      {
        "endpoint": "content_generation",
        "requests_count": 20,
        "credits_used": 60,
        "internal_cost": 0.02
      },
      {
        "endpoint": "chat",
        "requests_count": 30,
        "credits_used": 60,
        "internal_cost": 0.03
      }
    ]
  }
}

API Request Example

Use the cURL snippet below to test the endpoint.

cURL
curl -X GET 'https://rsflowhub.com/api/v1/account/usage-summary' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[]'

Ready to build?

Create your free account and make your first API call in minutes.